Subject: Re: sh crashes when executing msgfmt
From: Bob McGowan <[email-masked]>
To: [email-masked]
Date: Wed, 26 Feb 2003 16:10:46 -0800

Andreas,

I'm a bit confused about what you're saying here.  Are you saying the error is 
not 'msgfmt: not found'?  In other words, the script is really finding msgfmt.exe?

I'm confused because the rest of your statement seems to indicate you may have 
copied msgfmt.exe into c:/cygwin/usr/bin using some windows utility (cmd shell, 
Windows Explorer, etc).  Since Cygwin makes a mount point of /usr/bin that 
refers back to /bin, there will be nothing in c:/cygwin/usr/bin as seen from 
Windows Explorer.  And from a Cygwin utility, anything copied to 
c:/cygwin/usr/bin by a Windows tool would be hidden by the mount of /bin over 
/usr/bin.

But if this is true and msgfmt.exe is hidden for this reason, the error would in 
fact be 'msgfmt: not found'.

Andreas Madritsch wrote:
 > Christopher Faylor wrote:
>  > On Wed, Feb 26, 2003 at 09:21:15PM -0000, Max Bowsher wrote:
> ---deleted previous stuff---
 > "crashing" with an error like:
 >
 > msgfmt: not found
>
> No, but msgfmt.exe of my djgpp installation has been taken, because 
> msgfmt.exe of cygwin has not been found. I made sure, that msgfmt.exe
> is located in c:/cygwin/usr/bin and that /usr/bin is in the path 
> variable. An ls from the bash shell in /usr/bin results in a different 
> files than I see from Windows Explorer.
> 
> 
> Andreas
> 
> 
> -- 
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
Bob McGowan
Staff Development Engineer
VERITAS Software
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/